/* MOBIVIA
  -------------------- */

.mobivia-theme {
  /**
   * Brand Primary
   */
  --road-brand-primary: #b40063;

  /**
   * Primary
   */
  --road-primary-10: #2e0011;
  --road-primary-20: #5c0026;
  --road-primary-30: #7f003b;
  --road-primary-40: #9b004f;
  --road-primary-50: #b40063;
  --road-primary-60: #c42674;
  --road-primary-70: #d24d87;
  --road-primary-80: #e282a6;
  --road-primary-90: #f1bbcd;

  /**
   * Brand Secondary
   */
  --road-brand-secondary: #f8ab00;

  /**
   * Secondary
   */
  --road-secondary-10: #4c2800;
  --road-secondary-20: #754300;
  --road-secondary-30: #995e00;
  --road-secondary-40: #bd7b00;
  --road-secondary-50: #f8ab00;
  --road-secondary-60: #ffbb21;
  --road-secondary-70: #ffca42;
  --road-secondary-80: #ffda70;
  --road-secondary-90: #ffeaa8;

  /* GREYSCALE
  -------------------- */
  --road-grey-0: #000000;
  --road-grey-5: #141413;
  --road-grey-10: #282826;
  --road-grey-15: #333331;
  --road-grey-20: #3d3d3c;
  --road-grey-30: #565656;
  --road-grey-40: #757574;
  --road-grey-50: #8e8e8e;
  --road-grey-60: #a9a8a7;
  --road-grey-70: #c3c3c1;
  --road-grey-80: #deddda;
  --road-grey-85: #ebeae6;
  --road-grey-90: #f8f7f3;
  --road-grey-95: #fcfbf9;
  --road-grey-100-new: #ffffff;

  /**
  * Header
  */
  --road-header-surface: var(--road-primary-50);
  --road-on-header-surface: var(--road-grey-100-new);
  --road-header-surface-disabled: rgba(255, 255, 255, 0.32);
  --road-on-header-surface-disabled: rgba(255, 255, 255, 0.4);
  --road-header-outline: var(--road-primary-50);
  --road-header-icon: var(--road-grey-10-new);
  --road-variant-icon-header: var(--road-secondary-60);
  --road-header-badge: var(--road-secondary-60);
  --road-on-header-badge: var(--road-grey-10);

  /**
   * Neutral Surface
  */
  --road-surface: var(--road-grey-100-new);
  --road-surface-inverse: var(--road-grey-90);
  --road-surface-disabled: rgba(137, 143, 160, 0.24);
  --road-on-surface: var(--road-grey-10);
  --road-on-surface-weak: var(--road-grey-20);
  --road-on-surface-extra-weak: var(--road-grey-40);
  --road-on-surface-disabled: rgba(34, 41, 58, 0.32);

  /**
   * Brand Surface
  */
  --road-primary: var(--road-primary-50);
  --road-primary-variant: var(--road-primary-30);
  --road-on-primary: var(--road-grey-100-new);
  --road-secondary: var(--road-secondary-50);
  --road-secondary-variant: var(--road-secondary-40);
  --road-on-secondary: var(--road-grey-10);

  /**
   * Outline
  */
  --road-outline: var(--road-grey-30);
  --road-outline-weak: var(--road-grey-40);
  --road-outline-variant: var(--road-primary-30);

  /**
   * Artwork
  */
  --road-icon: var(--road-grey-10);
  --road-icon-variant: var(--road-secondary-40);
  --road-icon-inverse: var(--road-grey-100-new);
  --road-icon-inverse-variant: var(--road-secondary-60);

  /**
   * Overlay
  */
  --road-overlay: rgba(0, 0, 0, 0.64);
  --road-overlay-inverse: rgba(255, 255, 255, 0.64);
  --road-on-overlay: var(--road-grey-100-new);
  --road-on-overlay-inverse: var(--road-grey-10);

  /**
   * Buttons
  */
  --road-button-primary: var(--road-primary-50);
  --road-button-primary-variant: var(--road-primary-30);
  --road-on-button-primary: var(--road-grey-100-new);
  --road-button-secondary: var(--road-secondary-50);
  --road-button-secondary-variant: var(--road-secondary-40);
  --road-on-button-secondary: var(--road-grey-10);
  --road-button-tertiary: rgba(241, 187, 205, 0);
  --road-button-tertiary-variant: var(--road-primary-90);
  --road-button-tertiary-outline: var(--road-primary-50);
  --road-on-button-tertiary: var(--road-grey-10);
  --road-button-ghost: rgba(241, 187, 205, 0);
  --road-button-ghost-variant: var(--road-primary-90);
  --road-on-button-ghost: var(--road-primary-50);

  /**
   * Fab Button
  */

  --road-button-fab: var(--road-secondary-50);
  --road-on-button-fab: var(--road-grey-10);
  --road-button-fab-variant: var(--road-secondary-40);

  /**
   * Link
  */
  --road-link-primary: var(--road-primary-50);
  --road-link-secondary: var(--road-grey-10);
  --road-link-inverse: var(--road-grey-100-new);

  /**
   * Forms
  */
  --road-input-surface: var(--road-primary-50);
  --road-input-surface-variant: var(--road-primary-30);
  --road-input-outline: var(--road-grey-40);
  --road-input-outline-variant: var(--road-grey-0);

  /**
   * Decorative
  */
  --road-decorative-surface: var(--road-secondary-50);
  --road-decorative-surface-variant: var(--road-primary-50);

  /**
   * Leading Banner
  */

  --road-leading-banner: var(--road-secondary-50);
  --road-on-leading-banner: var(--road-grey-10);
}
